# Uses of Enum Class
java.net.Authenticator.RequestorType

Packages that use Authenticator.RequestorType
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of Authenticator.RequestorType in java.net

Methods in java.net that return Authenticator.RequestorType
Modifier and Type
Method
Description
`protected Authenticator.RequestorType`
Authenticator.`getRequestorType()`
Returns whether the requestor is a Proxy or a Server.
`static Authenticator.RequestorType`
Authenticator.RequestorType.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Authenticator.RequestorType[]`
Authenticator.RequestorType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.net with parameters of type Authenticator.RequestorType
Modifier and Type
Method
Description
`static PasswordAuthentication`
Authenticator.`requestPasswordAuthentication​(String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
Ask the authenticator that has been registered with the system for a password.
`static PasswordAuthentication`
Authenticator.`requestPasswordAuthentication​(Authenticator authenticator, String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
Ask the given `authenticator` for a password.
`PasswordAuthentication`
Authenticator.`requestPasswordAuthenticationInstance​(String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
Ask this authenticator for a password.